package com.zhongzheng.modules.recruit.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zhongzheng.modules.recruit.bo.RecruitNeedsAddBo;
import com.zhongzheng.modules.recruit.bo.RecruitNeedsEditBo;
import com.zhongzheng.modules.recruit.bo.RecruitNeedsQueryBo;
import com.zhongzheng.modules.recruit.domain.RecruitNeeds;
import com.zhongzheng.modules.recruit.vo.RecruitNeedsVo;

import java.util.Collection;
import java.util.List;

/**
 * 招聘需求Service接口
 *
 * @author ruoyi
 * @date 2021-08-12
 */
public interface IRecruitNeedsService extends IService<RecruitNeeds> {
	/**
	 * 查询单个
	 * @return
	 */
	RecruitNeedsVo queryById(Long id);

	/**
	 * 查询列表
	 */
	List<RecruitNeedsVo> queryList(RecruitNeedsQueryBo bo);

	List<RecruitNeeds> queryRecruitNeedsList(RecruitNeedsQueryBo bo);

	/**
	 * 根据新增业务对象插入招聘需求
	 * @param bo 招聘需求新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(RecruitNeedsAddBo bo);

	/**
	 * 根据编辑业务对象修改招聘需求
	 * @param bo 招聘需求编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(RecruitNeedsEditBo bo,String operator_nickName);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

	List<RecruitNeeds> queryRecruitNeedsListString(RecruitNeedsQueryBo recruitNeedsQueryBo);
}
